/*
Created		23.06.2005
Modified		23.06.2005
Project		CrossTest
Model		CrossTest
Company		
Author		Andreas Hesse
Version		1.0
Database		Firebird 
*/




Create Table CrossTest 
 (
	ID Integer NOT NULL,
	Name Varchar(20),
	Year_ Integer,
	Month_ Integer,
	Days Integer,
	Salary Numeric(15,2),
Constraint pk_CrossTest Primary Key (ID)
);


CREATE GENERATOR GEN_CROSSTEST;


set term ^;
CREATE TRIGGER CrossTest_BeforeInsert FOR CrossTest
ACTIVE BEFORE INSERT POSITION 0
as
begin
  if (new.ID IS NULL ) then new.ID = GEN_ID(GEN_CROSSTEST,1);
end
 ^





set term ;^

